// -*- C++ -*-
//
// $Id: worker.h 75247 2006-11-07 12:43:48Z johnnyw $


#ifndef TAO_TWO_OBJECTS_WORKER_H
#define TAO_TWO_OBJECTS_WORKER_H

#include "tao/ORB.h"
#include "ace/Task.h"

//   Use the ACE_Task_Base class to run server threads
class Worker : public ACE_Task_Base
{
public:

  // Ctor
  Worker (CORBA::ORB_ptr orb, int time);

  // The thread entry point.
  virtual int svc (void);


private:
  // The orb
  CORBA::ORB_var orb_;

  int orb_timeout_;
};

#endif  /* TAO_TWO_OBJECTS_WORKER_H */
